<?php
/*
Plugin Name: Thai Lottery Widget
Plugin URI: http://www.lottery.co.th/code
Description: แสดงผลสลากกินแบ่งรัฐบาลไทย พร้อมระบบตรวจหวยงวดล่าสุด
Version: 1.0
Author: Siamlottery
Author URI: http://www.lottery.co.th
License: GPL2
*/
?>
<?php
class wp_thailottery_plugin extends WP_Widget {

	// constructor
 function wp_thailottery_plugin() {
        parent::WP_Widget(false, $name = __('Thai Lottery Widget', 'wp_widget_plugin') );
    }

// widget form creation
function form($instance) {

// Check values
if( $instance) {
     $title = esc_attr($instance['title']);
} else {
     $title = '';
}
?>
<p>
<label for="<?php echo $this->get_field_id('title'); ?>"><?php _e('หัวข้อ', 'wp_widget_plugin'); ?></label>
<input class="widefat" id="<?php echo $this->get_field_id('title'); ?>" name="<?php echo $this->get_field_name('title'); ?>" type="text" value="<?php echo $title; ?>" />
</p>
<?php
}

// update widget
function update($new_instance, $old_instance) {
      $instance = $old_instance;
      $instance['title'] = strip_tags($new_instance['title']);
     return $instance;
}

// display widget
function widget($args, $instance) {
   extract( $args );
   $title = apply_filters('widget_title', $instance['title']);
   echo $before_widget;
   echo '<div class="widget-text wp_widget_plugin_box">';

   // Check if title is set
   if ( $title ) {
      echo $before_title . $title . $after_title;
   }
   echo '<iframe src=https://www.lottery.co.th/share width=300 height=640 frameborder=0></iframe></div>';
   echo $after_widget;
}

}

// register widget
add_action('widgets_init', create_function('', 'return register_widget("wp_thailottery_plugin");'));
?>